<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shining.cloud.mapper.information.SteadyUrlMapper">
    <resultMap type="com.shining.cloud.pojo.information.SteadyUrl" id="steadyUrl" autoMapping="true">
    </resultMap>
	<select id="queryData"  resultMap="steadyUrl">
		select * from App_SteadyUrl
		where 
		line_index = #{lineIndex}
		and TimeID = #{timeId}
		and type_Code = #{typeCode}
	</select>
	
	<select id="queryList"  resultMap="steadyUrl">
		select * from App_SteadyUrl
		where 
		line_index = #{lineIndex}
		and TimeID = #{timeId}
		order by type_code asc
	</select>
	
	<update id="updateUrl">
		update App_SteadyUrl set steady_path = #{steadyPath} 
		where 
		line_index = #{lineIndex}
		and TimeID = #{timeId}
		and type_Code = #{typeCode}
	</update>
</mapper>